Bug 208105 - Looping for "Reservation" (ll/sc) code.
Looping for "Reservation" (ll/sc) code.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cagney
Len DiMaggio
bzcl34nup
:
Depends On: 207287
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 10:20 EDT by Andrew Cagney
Modified: 2008-05-06 20:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2006-09-26 10:20:30 EDT
+++ This bug was initially created as a clone of Bug #207287 +++

gdb currently does not support single-stepping through "Reserved"-utilizing code
    http://www.nersc.gov/vendor_docs/ibm/asm/lwarx.htm
as each single-step resets the Reservation and so the loop deadlocks.

-- Additional comment from jkratoch@redhat.com on 2006-09-20 10:34 EST --
Yes, the bug is due to looping due to the Reservation, looping inside:
0x0fc45d58 <pthread_create@@GLIBC_2.1+268>:     lwarx   r3,0,r28
0x0fc45d5c <pthread_create@@GLIBC_2.1+272>:     cmpw    r3,r29
0x0fc45d60 <pthread_create@@GLIBC_2.1+276>:     bne-    0xfc45d6c
<pthread_create@@GLIBC_2.1+288>
0x0fc45d64 <pthread_create@@GLIBC_2.1+280>:     stwcx.  r0,0,r28
0x0fc45d68 <pthread_create@@GLIBC_2.1+284>:     bne-    0xfc45d58
<pthread_create@@GLIBC_2.1+268>

Cloning as a different Bug, only for Component "gdb".
Comment 1 Mark Wielaard 2006-10-31 07:58:16 EST
While instruction stepping the stwcx will always fail since the address
reservation of the lwarx instruction will be lost. This should most likely be
"fixed" on a higher level by using breakpoints in fstep. When a lwarx/stwcx pair
for an address plus bne- backjump to the lwarx instruction is found while
instruction stepping we can set a breakpoint at the instruction after the
backjump and continue the process till the breakpoint is hit. Then reset this
breakpoint and continue instruction stepping.
Comment 3 Bug Zapper 2008-04-03 14:20:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:53:21 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.